CPIPEMON(8)

NAME
cpipemon - Cisco HDLC Monitor for Sangoma WAN Cards

SYNOPSIS
cpipemon { option } ip-address upd-port For flushing specific monitor statistics: cpipemon [ f ] { option } ip-address udp-port For running FT1 specific monitor commands: cpipemon [ t ] { option } ip-address udp-port

DESCRIPTION
cpipemon is a UDP management monitor for Cisco HDLC. The above section demonstrates the different ways of running the cpipemon command. We will discuss each method in detail below:

cpipemon {option} ip-address udp-port

ip-address
    Specify the Point-to-Point address of your defined Cisco HDLC interface. To verify this run ifconfig.

udp-port
    Specify the udp-port as defined in device section of the router.conf in /etc directory. No value for this defaults to 9000.

option
    The following are the different monitoring options available to the user:

    m Display modem status.

    a Display Cisco HDLC firmware version.

    g Display Cisco HDLC Configuration.

    x Display Link Status.

    q Run Line trace displaying Cisco HDLC data.

    qr Run Line trace displaying Raw data.

    j Display the time since last "router start".

    i Display Global statistics.

    e Display Communication Error statistics.

    l Display Operational statistics.

cpipemon f {option} ip-address udp-port

f   This option flushes all the values associated with the command specified in the option field.

ip-address
    Specify the Point-to-Point address of your defined PPP interface. To verify this run ifconfig.

udp-port
    Specify the udp-port as defined in device section of the router.conf in /etc directory. No value for this defaults to 9000.

option
    The following are the different options available to the user:

    i Flush Global statistics.

    e Flush Communication Error statistics.

    l Flush Operational statistics.

cpipemon t {option} ip-address udp-port

t   This option allows execution of FT1 specific commands specified in the option field.

ip-address
    Specify the Point-to-Point address of your defined PPP interface. To verify this run ifconfig.

udp-port
    Specify the udp-port as defined in device section of the router.conf in /etc directory. No value for this defaults to 9000.

option
    The following are the different FT1 monitoring options available to the user:

    v View status of the FT1 CSU/DSU.

    s Perform self test on the FT1.

    l Peform Line Loop test on the FT1.

    d Perform Digital Loop test on the FT1.

    r Perform Remote test on the FT1.

    o Place FT1 in Operational mode.

EXAMPLES
The following are few examples to illustrate the different usage of the cpipemon command:

cpipemon e 192.168.1.27 9002 :  This displays the communications error statistics.

cpipemon f e  192.138.1.27 9005: This flushes the communications error statiscs.

cpipemon t l 192.128.1.27 9004: This runs the line loop test on a FT1 board.

AUTHOR
Jaspreet Singh <jaspreet@sangoma.com> Sangoma Technologies Inc., www.sangoma.com